Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: ATI Radeon 9600 support in openSUSE 11.2

  1. #1
    Join Date
    Oct 2008
    Location
    The Netherlands
    Posts
    121

    Default ATI Radeon 9600 support in openSUSE 11.2

    Currently I'm using openSUSE 11.0, GNOME, with Compiz.
    When I tried openSUSE 11.1, Compiz refused to work with my hardware. The following message appears when I enable desktop effects:
    Desktop effects are not supported on your current hardware configuration.
    Would you like to activate them anyway?
    This was a huge disappointment for me. Now I'm considering migration to Fedora 11 (I already tested, everything works there).
    Before I do it I would like to know if my decision is not too hasty (yes I would like to stay with openSUSE).

    What is the reason that ATI Radeon 9600 is not any more supported in openSUSE?
    Is there a workaround for this issue?
    Will ATI Radeon 9600 graphic card be supported in OpenSUSE 11.2?
    openSUSE 11.0, GNOME
    HP Compaq NC6000, Intel Pentium M Processor 725, ATI Mobility Radeon 9600, Intel PRO 2200BG
    HP Compaq DC7100, Intel Pentium 4 Processor 521, Intel 915G Express, D-Link DWL-510 AirPlus G

  2. #2
    Join Date
    Jun 2008
    Location
    /dev/belgium
    Posts
    1,946

    Default Re: ATI Radeon 9600 support in openSUSE 11.2

    So you're going to move to a completely different distro just because you can't have "bling bling" which seems so necessary and needed for you to do some *real* work? Makes very little sense to me, but do as you please

    For the drivers, ATI has moved them into a legacy one ATI Catalyst„ Proprietary Display Driver

    did you install it?

  3. #3

    Default Re: ATI Radeon 9600 support in openSUSE 11.2

    I'm asking myself, what I must have been done wrong since openSUSE 10.2 (and up to 11.0, when the respective machine died of old age) with my Radeon 9600, which worked without any proprietary driver and compositing.

  4. #4
    Join Date
    Oct 2008
    Location
    The Netherlands
    Posts
    121

    Default Re: ATI Radeon 9600 support in openSUSE 11.2

    Well, for real work I use RHEL (8 hours a day), without "bling bling" indeed.
    After work though, when I get home, I like to have fun. Thus at home I enjoy "bling bling" and do not intend to do any real work.
    Wouldn't it be a waste of time to develop the "bling bling" if nobody liked to have it?

    Thanks for the drivers though, I shall try them when openSUSE 11.2 gets released.
    openSUSE 11.0, GNOME
    HP Compaq NC6000, Intel Pentium M Processor 725, ATI Mobility Radeon 9600, Intel PRO 2200BG
    HP Compaq DC7100, Intel Pentium 4 Processor 521, Intel 915G Express, D-Link DWL-510 AirPlus G

  5. #5
    Join Date
    Jun 2008
    Location
    Bay Area, California
    Posts
    362

    Default Re: ATI Radeon 9600 support in openSUSE 11.2

    I do not believe that the 9600 is supported in 11.2 because it will have a version of xorg which the latest legacy version of the catalyst driver does not support. There was something about it not supporting randr 1.6? I'm using a 9500 pro myself and as I understand am stuck at 11.1 and catalyst 9.3 which itself does not even work properly for me until I can get a computer, which likely will not be for years.

    If I am mistaken about this I would be more than happy if someone would enlighten me. It would be great to be able to move on to the next release of openSUSE after all.

  6. #6

    Default Re: ATI Radeon 9600 support in openSUSE 11.2

    Quote Originally Posted by Scott_Swinyard View Post
    I do not believe that the 9600 is supported in 11.2
    Completely wrong statement.

    openSUSE 11.2 will support the 9600 Mobility with 3D/compositing through the free "radeon" drivers as it did support it in any previous version from 10.2 on.

    It will -amongst a lot of others- no longer be supported by fglrx, which is provided bei ATI/AMD.

  7. #7
    Join Date
    Aug 2008
    Location
    Vasmegyer, Magyarország (Hungary)
    Posts
    5

    Default Re: ATI Radeon 9600 support in openSUSE 11.2

    Hi!

    I have an ASUS K8N motherboard with nForce3 chipset and I am using an Sapphire ATI Radeon 9600 PRO VGA.
    When I tried the Ubuntu 9.04 (32 bit) and the openSUSE 11.1 (32 bit) I realised that I couldn't use my VGA. The Ubuntu live cd didn't work, I just get black screen instead of the desktop in the end of boot .
    I could install the openSUSE 11.1, but before the install I had to boot windows, then I had to disable the 3D in the openSUSE 11.1's install (I used DVD install). Without windows boot the installer didn't find my VGA, so the install process froze.
    So I got desktop, but without effects. (This is a BIOS/chipset/Driver problem...)
    But I would have wanted effects!
    So I decided to try the 64 bit systems. I downloaded and tried the Ubuntu 9.04 64 bit edition and I had a big-big surprise because I got a desktop with effects!
    I tried to use Ubuntu, but my heart pulled me towards back to openSUSE.
    So I downloaded the 64 bit edition of the openSUSE 11.1 DVD installer, and I installed it with KDE 4.
    Now I have an openSUSE OS with KDE (4.3.2) and with effects out of the box with the open source "radeon" driver!

    So, my VGA problem(s) resolved with the switch to 64 bit OS.

    I think you should give a chance for the open source drivers and/or the 64 bit. Maybe it/they can give you fun.


    I am looking forward to 11.2, I am sure it will be better.
    Last edited by AmperHunter; 30-Oct-2009 at 08:42. Reason: I have forgot it....

  8. #8
    Join Date
    Jun 2008
    Location
    Bay Area, California
    Posts
    362

    Default Re: ATI Radeon 9600 support in openSUSE 11.2

    "openSUSE 11.2 will support the 9600 Mobility with 3D/compositing through the free "radeon" drivers as it did support it in any previous version from 10.2 on.

    It will -amongst a lot of others- no longer be supported by fglrx, which is provided bei ATI/AMD."

    Yeah thats what I meant. I just forgot to mention the radeon part.

    Sorry.

  9. #9

    Default Re: ATI Radeon 9600 support in openSUSE 11.2

    Scott Swinyard wrote:

    > "openSUSE 11.2 will support the 9600 Mobility with 3D/compositing
    > through the free "radeon" drivers as it did support it in any previous
    > version from 10.2 on.
    >
    > It will -amongst a lot of others- no longer be supported by fglrx,
    > which is provided bei ATI/AMD."


    Why, in a clean install of 11.2 RC2 with no proprietary drivers, does
    xorg.0.log have an error as follows:

    (II) LoadModule: "fglrx"
    (WW) Warning, couldn't open module fglrx
    (II) UnloadModule: "fglrx"
    (EE) Failed to load module "fglrx" (module does not exist, 0)

    In 11.1, fglrx doesn't get a mention.

    --
    Graham P Davis, Bracknell, Berks., UK. E-mail: newsman not newsboy
    "I wear the cheese. It does not wear me."

  10. #10
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    982

    Default Re: ATI Radeon 9600 support in openSUSE 11.2

    These are some recollections on my recent adventures with ATI drivers, they may be of assistance.

    11.1 loaded the open source radeon driver by default. One has to go searching for the proprietary fglrx driver. Support for the older ATI devices was capped at Catalyst 9.3 (if you install from ATI site) which is fglrx_01 if you download from repository.

    11.2RCx - perhaps it is trying to load fglrx_02 in error? It will not work on that device. Try radeon driver.

    I never could get fglrx_01 working properly on my x1250 chipset, the "mobo integrated" version of this video device, but your results may vairy.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •